%define		module	pycups
Summary:	Set of Python bindings for the CUPS API
Summary(pl.UTF-8):	Zbiór wiązań Pythona do API CUPS-a
Name:		python-%{module}
Version:	1.9.66
Release:	1
License:	GPL v2+
Group:		Development/Languages/Python
Source0:	http://cyberelk.net/tim/data/pycups/pycups-%{version}.tar.bz2
# Source0-md5:	a6cc4d40ac908dd9182ed93739b4bb79
URL:		http://cyberelk.net/tim/software/pycups/
BuildRequires:	cups-devel >= 1.2.1
BuildRequires:	epydoc
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
Obsoletes:	python-cups
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides Python bindings for the CUPS API, known as
pycups. It was written for use with system-config-printer, but can be
put to other uses as well.

%description -l pl.UTF-8
Ten pakiet udostępnia wiązania Pythona do API CUPS-a, znane jako
pycups. Został napisany z myślą o pakiecie system-config-printer, ale
może mieć także inne zastosowania.

%package doc
Summary:	Documentation for pycups
Summary(pl.UTF-8):	Dokumentacja do pycupsa
Group:		Documentation

%description doc
Documentation for pycups.

%description doc -l pl.UTF-8
Dokumentacja do pycupsa.

%prep
%setup -q -n %{module}-%{version}

%build
%{__make} \
	CFLAGS="%{rpmcflags} -fno-strict-aliasing"

%{__make} doc
%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO
%attr(755,root,root) %{py_sitedir}/cups.so
%{py_sitedir}/pycups-%{version}-py*.egg-info

%files doc
%defattr(644,root,root,755)
%doc html/*
%changelog
* Sun Dec 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pycups.git;a=log;h=master

* Sat Nov 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 4a5d691
- updated to 1.9.66
- actually package docs

* Sat Mar 03 2012 Elan Ruusamäe <glen@pld-linux.org> 44ca03b
- merged with python-cups

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> cb47186
- up to 1.9.60

* Fri Jun 03 2011 Artur Frysiak <artur@frysiak.net> 646660c
- up to 1.9.56

* Sun Mar 20 2011 Artur Frysiak <artur@frysiak.net> 3785aa4
- up to 1.9.55

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 553f28d
- release 2

* Wed Mar 10 2010 Artur Frysiak <artur@frysiak.net> 77a79fe
- 1.9.49

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> d248cba
- up to 1.9.45

* Sat Jan 03 2009 Robert Tomasik <rotom@pld-linux.org> 3f9f0b8
- up to 1.9.44

* Sat Oct 04 2008 Robert Tomasik <rotom@pld-linux.org> 6dc8d16
- up to 1.9.42

* Wed Sep 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 25f6a54
- URL

* Sun Mar 16 2008 Patryk Zawadzki <patrys@room-303.com> 159ee7f
- 1.9.36

* Sat Nov 17 2007 twittner <twittner@pld-linux.org> fc40412
- up to 1.9.29

* Tue Oct 23 2007 Patryk Zawadzki <patrys@room-303.com> 0dab70e
- no longer used

* Tue Oct 23 2007 Patryk Zawadzki <patrys@room-303.com> 36c2456
- 1.9.28
- patch no longer relevant

* Mon Jun 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 8e0f69c
- non-executable egg-info

* Fri Jun 08 2007 Artur Frysiak <artur@frysiak.net> f4abb5f
- updated to 1.9.23
- added size_t patch (fix python 2.5 compatibility)

* Fri Jun 08 2007 Artur Frysiak <artur@frysiak.net> 7c25010
- fix for python 2.5

* Wed May 23 2007 Patryk Zawadzki <patrys@room-303.com> 5174579
- 1.9.22

* Mon Aug 28 2006 Artur Frysiak <artur@frysiak.net> 225cf2a
- rel 2 (rebuild with python 2.5)

